import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';

import { Phonecall } from "../../odoo/models/crm.phonecall";
import { BaseDetailsView } from "../../base/base-details-view";

@Component({
    selector: 'page-phonecall',
    templateUrl: 'phonecall.html'
})
export class PhonecallPage extends BaseDetailsView<Phonecall> {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams
    ) { 
        super(Phonecall, navParams.data);
        super.setTitle(super.itemExists() ? "Editar Llamada" : "Crear Llamada");
    }

    /**
     * 
     */
    ionViewDidLoad() {
        console.log('ionViewDidLoad PhonecallPage');
    }
}
